Name:      mozilla
Summary:   Mozilla, open-source web browser
Version:   0.8
Release:   7mdk
Copyright: MPL/NPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/mozilla%{version}/src/mozilla-source-%{version}.tar.bz2
Source1:   mozilla.sh.bz2
Source2:   mozilla_16.xpm.bz2
Source3:   mozilla_32.xpm.bz2
Source4:   mozilla_48.xpm.bz2
Source5:   mozilla-make-package.pl
Source6:   mozilla-copy-package-files.sh
# remove debug menu entries
Patch0:	   mozilla-navigator-overlay-menu-0.8.patch.bz2
Patch1:    mozilla-editor-overlay-menu.patch.bz2
Patch6:    mozilla-prefs-debug.patch.bz2
Patch7:    mozilla-redhat-home-page.patch.bz2
Patch8:    mozilla-redhat-mail-home-page.patch.bz2
Patch9:    mozilla-alpha-compiler.patch.bz2
Patch10:   mozilla-redhat-home-page-6.2.patch.bz2
Patch11:   mozilla-taskbar-nomozilla.patch.bz2
Patch12:   events.patch.bz2
# (fc) 0.7-0.2001010614.1mdk dlopen correct libraries for old plugins
Patch20:   mozilla-dlopen-plugin.patch.bz2
Serial: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-root
# don't try to build if different version of mozilla is install
BuildConflicts: %{name} < %{version}
BuildConflicts: %{name} > %{version}
BuildRequires: libpng-devel, libjpeg-devel, zlib-devel, zip, ORBit-devel, perl, autoconf
# pulled by libraries dependency
#Requires: libpng, libjpeg, zlib, ORBit

Prefix:    %{_prefix}
ExcludeArch: ia64

Group:     Networking/WWW
Url: http://www.mozilla.org
Obsoletes: mozilla-xpcom mozilla-browser

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 

%package devel
Requires: %{name} = %{version}
Summary: Mozilla development files
Group: Development/Other
%description devel
Mozilla development files

%package mail
Summary: Mozilla-based mail system
Group: Networking/Mail
PreReq: %{name} = %{version}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package psm
Summary: SSL support for Mozilla.
Group: Applications/Internet
PreReq: %{name} = %{version}

%description psm
SSL support for Mozilla.

%package irc
Summary: IRC support for Mozilla.
Group: Applications/Internet
PreReq: %{name} = %{version}

%description irc
irc support for Mozilla.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mozilla
%patch0 -p 1 -b .debug
%patch1 -p 1 -b .debug
%patch6 -p1 -b .nodebug
# is it a RH 7.0 system?
if [ -f %{_datadir}/doc/HTML/index.html ]; then
%patch7 -p1 -b .redhat-home-page
else
%patch10 -p1 -b .redhat-home-page
fi
%patch8 -p1 -b .redhat
%patch9 -p1 -b .alpha-compiler

%patch11 -p1 -b .nomozilla
export POSIXLY_CORRECT=1
##%patch12 -p0 -b .events
unset POSIXLY_CORRECT


%patch20 -p1 -b .dlopen

# run autoconf in case we patched configure.in
autoconf

%build

if [ -z "$NPROCS" ]; then NPROCS=`egrep -c ^cpu[0-9]+ /proc/stat || :`; fi 
if [ -z "$NPROCS" -o "$NPROCS" -le "0" ]; then 
  NPROCS=1 
fi

# build mozilla
BUILD_OFFICIAL=1  ./configure --prefix=%{_prefix} \
	--enable-optimize --disable-debug \
	--enable-strip-libs --disable-tests --enable-mathml \
	--enable-svg --enable-xstl --enable-ldap \
	--with-default-mozilla-five-home=%{_libdir}/mozilla \
	--with-extensions=default,irc --disable-short-wchar \
	--enable-nspr-autoconf

BUILD_OFFICIAL=1 make -j$NPROCS -s export
BUILD_OFFICIAL=1 make -j$NPROCS -s install
#BUILD_OFFICIAL=1 make -s # MAKE="make -j$NPROCS"

# build psm
BUILD_OFFICIAL=1  ./configure --prefix=%{_prefix} \
	--enable-optimize --disable-debug \
	--enable-strip-libs --disable-tests --enable-mathml \
	--enable-svg --enable-xstl --enable-ldap \
	--with-default-mozilla-five-home=%{_libdir}/mozilla \
	--with-extensions=default,irc --disable-short-wchar \
	--enable-nspr-autoconf --enable-modules=psm 

# we can't use -j builds here because nss/psm uses the old mozilla
# build system.
BUILD_OPT=1 BUILD_OFFICIAL=1 make -s


%install

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

# create a list of all of the different package and the files that
# will hold them
rm -f /tmp/mozilla.list
rm -f /tmp/mozilla.package
%{SOURCE5} --package langenus --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package deflenus --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package xpcom --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package browser --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist

# add missing file to list (for xsl)
echo components/libxmlextras.so >>  /tmp/mozilla.list

rm -f /tmp/mozilla-mail.list
rm -f /tmp/mozilla-mail.package
%{SOURCE5} --package mail --output-file /tmp/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist

rm -f /tmp/mozilla-psm.list
rm -f /tmp/mozilla-psm.package
%{SOURCE5} --package psm --output-file /tmp/mozilla-psm.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist

rm -f /tmp/mozilla-irc.list
rm -f /tmp/mozilla-irc.package
%{SOURCE5} --package chatzilla --output-file /tmp/mozilla-irc.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist


# copy all of the files
%{SOURCE6} /tmp/mozilla.list /tmp/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

# copy regchrome into our target directory
cp $RPM_BUILD_DIR/mozilla/dist/bin/regchrome \
    $RPM_BUILD_ROOT%{_libdir}/mozilla
# and the same with installed-chrome.txt
cp $RPM_BUILD_DIR/mozilla/dist/bin/chrome/installed-chrome.txt \
    $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome

# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT%{_libdir}/mozilla
  # register our components
  rm -rf  $RPM_BUILD_ROOT%{_libdir}/mozilla/components/xpti* $RPM_BUILD_ROOT%{_libdir}/mozilla/component.reg
  LD_LIBRARY_PATH=$PWD MOZILLA_FIVE_HOME=$PWD ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome/installed-chrome.txt
  # set up the chrome rdf files
  rm  -rf $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome/*.rdf $RPM_BUILD_ROOT%{_libdir}/mozilla/chrome/overlayinfo
  LD_LIBRARY_PATH=$PWD MOZILLA_FIVE_HOME=$PWD ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd


%{SOURCE6} /tmp/mozilla-mail.list /tmp/mozilla-mail.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

%{SOURCE6} /tmp/mozilla-psm.list /tmp/mozilla-psm.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

%{SOURCE6} /tmp/mozilla-irc.list /tmp/mozilla-irc.package \
    $RPM_BUILD_ROOT%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla


# copy include and idl files
cp -r dist/include/* $RPM_BUILD_ROOT%{_includedir}/mozilla

cp -r dist/idl/* $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

cp dist/lib/libmpfilelocprovider_s.a $RPM_BUILD_ROOT%{_libdir}/mozilla

# copy our devel tools
/bin/cp -r dist/bin/xpcshell $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -r dist/bin/xpidl $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -r dist/bin/xpt_dump $RPM_BUILD_ROOT%{_libdir}/mozilla

/bin/cp -r dist/bin/xpt_link $RPM_BUILD_ROOT%{_libdir}/mozilla

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/mozilla


bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# Make sure that we overwrite the mozilla installed with ours.
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/mozilla

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla"
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-mail
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla -mail"
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla -mail"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
# menu
%{update_menus}
# check if Java plugin for Netscape 6 is installed 
if [ -f /usr/java/*/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/*/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

if [ -f /usr/lib/netscape/plugins/libflashplayer.so -a ! -f %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
 ln -s /usr/lib/netscape/plugins/libflashplayer.so %{_libdir}/mozilla/plugins/libflashplayer.so 
fi

# generate registery only on upgrade
if [ "$1" != "1" ]; then 
  rm -rf %{_libdir}/mozilla/chrome/overlayinfo
  rm -f %{_libdir}/mozilla/chrome/*.rdf
  mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
  rm -f %{_libdir}/mozilla/component.reg
  LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
      %{_libdir}/mozilla/regxpcom >/dev/null
  LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
      %{_libdir}/mozilla/regchrome >/dev/null
fi

%preun
if [ "$1" == "0" ]; then 
	# check if Java plugin for Netscape 6 is installed 
	if [ /usr/java/*/plugin/i386/ns600/libjavaplugin_oji.so -ef %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
		 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
	fi
	if [ /usr/lib/netscape/plugins/libflashplayer.so -ef %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
		 rm -f %{_libdir}/mozilla/plugins/libflashplayer.so 
	fi
fi
%postun
## menu
%{clean_menus}

%post mail
%{update_menus}
rm -rf %{_libdir}/mozilla/chrome/overlayinfo
rm -f %{_libdir}/mozilla/chrome/*.rdf
mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
rm -f %{_libdir}/mozilla/component.reg
LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
    %{_libdir}/mozilla/regxpcom >/dev/null 2>/dev/null
LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
    %{_libdir}/mozilla/regchrome >/dev/null 2>/dev/null

%postun mail
%{clean_menus}
if [ "$1" == "0" ]; then 
  rm -rf %{_libdir}/mozilla/chrome/overlayinfo
  rm -f %{_libdir}/mozilla/chrome/*.rdf
  rm -f %{_libdir}/mozilla/component.reg
  if [ -f %{_libdir}/mozilla/regxpcom ]; then 
    mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
    LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
        %{_libdir}/mozilla/regxpcom >/dev/null 2>/dev/null
    rm -f %{_libdir}/mozilla/chrome/*.rdf
    LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
        %{_libdir}/mozilla/regchrome >/dev/null 2>/dev/null
  fi
fi

%post irc
rm -rf %{_libdir}/mozilla/chrome/overlayinfo
rm -f %{_libdir}/mozilla/chrome/*.rdf
mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
rm -f %{_libdir}/mozilla/component.reg
LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
    %{_libdir}/mozilla/regxpcom >/dev/null 2>/dev/null
LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
    %{_libdir}/mozilla/regchrome >/dev/null 2>/dev/null

%postun irc
if [ "$1" == "0" ]; then 
  rm -rf %{_libdir}/mozilla/chrome/overlayinfo
  rm -f %{_libdir}/mozilla/chrome/*.rdf
  rm -f %{_libdir}/mozilla/component.reg
  if [ -f %{_libdir}/mozilla/regxpcom ]; then 
    mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
    LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
        %{_libdir}/mozilla/regxpcom >/dev/null 2>/dev/null
    rm -f %{_libdir}/mozilla/chrome/*.rdf
    LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
        %{_libdir}/mozilla/regchrome >/dev/null 2>/dev/null
  fi
fi

%post psm
rm -rf %{_libdir}/mozilla/chrome/overlayinfo
rm -f %{_libdir}/mozilla/chrome/*.rdf
mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
rm -f %{_libdir}/mozilla/component.reg
LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
    %{_libdir}/mozilla/regxpcom >/dev/null 2>/dev/null
LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
    %{_libdir}/mozilla/regchrome >/dev/null 2>/dev/null

%postun psm
if [ "$1" == "0" ]; then 
  rm -rf %{_libdir}/mozilla/chrome/overlayinfo
  rm -f %{_libdir}/mozilla/chrome/*.rdf
  rm -f %{_libdir}/mozilla/component.reg
  if [ -f %{_libdir}/mozilla/regxpcom ]; then 
    mkdir -p %{_libdir}/mozilla/chrome/overlayinfo
    LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
        %{_libdir}/mozilla/regxpcom >/dev/null 2>/dev/null
    rm -f %{_libdir}/mozilla/chrome/*.rdf
    LD_LIBRARY_PATH=%{_libdir}/mozilla MOZILLA_FIVE_HOME=%{_libdir}/mozilla \
        %{_libdir}/mozilla/regchrome >/dev/null 2>/dev/null
  fi
fi

%files -f /tmp/mozilla.package
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/mozilla
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%dir %{_libdir}/mozilla/defaults/pref
%dir %{_libdir}/mozilla/defaults/profile/en-US
%dir %{_libdir}/mozilla/defaults/profile
%dir %{_libdir}/mozilla/defaults/wallet
%dir %{_libdir}/mozilla/defaults
%dir %{_libdir}/mozilla/chrome
%dir %{_libdir}/mozilla/components
%dir %{_libdir}/mozilla/res/builtin
%dir %{_libdir}/mozilla/res/html
%dir %{_libdir}/mozilla/res/samples
%dir %{_libdir}/mozilla/res/entityTables
%dir %{_libdir}/mozilla/res/rdf
%dir %{_libdir}/mozilla/res
%dir %{_libdir}/mozilla/icons
%dir %{_libdir}/mozilla/searchplugins
%dir %{_libdir}/mozilla/plugins
%dir %{_libdir}/mozilla
%{_libdir}/mozilla/component.reg
%{_libdir}/mozilla/components/xpti.dat
%{_libdir}/mozilla/components/xptitemp.dat
%{_libdir}/mozilla/chrome/*.rdf
%{_libdir}/mozilla/chrome/overlayinfo

%files mail -f /tmp/mozilla-mail.package
%defattr(-,root,root)
%{_menudir}/%{name}-mail

%files psm -f /tmp/mozilla-psm.package
%defattr(-,root,root)
%dir %{_libdir}/mozilla/psmdata

%files irc -f /tmp/mozilla-irc.package
%defattr(-,root,root)


%files devel
%defattr (-,root,root)
%{_includedir}/mozilla
%{_libdir}/mozilla/libmpfilelocprovider_s.a
%{_libdir}/mozilla/xpcshell
%{_libdir}/mozilla/xpidl
%{_libdir}/mozilla/xpt_dump
%{_libdir}/mozilla/xpt_link

%changelog
* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-7mdk
- Recompiled against latest gcc

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-6mdk
- Add BuildConflicts
- Correct uninstall script for java plugin

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Ooups, I made a mistake on compilation flags

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Generate registery only on upgrade (should correct registery corruption)
- Add these files to main package

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Parallel compilation for main mozilla
- Generate chrome files

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Switch to standard theme by default
- Remove focus patch 
- Add specific menu entry for GNOME (workaround for interaction with xalf)
- resync with Blizzard specfile (0.8-2)

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Relese 0.8
- resync with Blizzard specfile (0.8-1)

* Wed Feb  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Resync with Blizzard specfile (0.7-11)
- Correct postun script => upgrading mozilla should be smooth with future version
  

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Resync with Blizzard specfile (0.7-3)
- Add missing library for galeon

* Wed Jan 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-0.2001010614.1mdk
- Prerelease based on CVS (contains crypto support)
- Merge new patches from Christopher Blizzard (2001010614-0)
- Try to use Java and Flash plugin (need JDK 1.3.0_1 and netscape 4.76 installed)

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.4mdk
- Rebuild with new libstdc++
- merge new patches from Christopher Blizzard specfile (M18-4) :
		- Add patch for bug 54860 (Linux-psm warning dialog hangs browser)
		- Add patches for bugs 56793 and 56753.

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.3mdk
- Merge patches from Alexander Skwar :
	-Add missing menu file and icons
	-Add missing dependency

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.2mdk
- Merge Christopher Blizzard (RedHat) specfile

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.1mdk
- Release M18
- Remove old patches

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M17.4mdk
- Merge specfile and fixes from Christopher Blizzard 
- change again page numbering (should be stable now)..

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-3mdk
- Provide non-corrupted icons

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-2mdk
- Add correct icons

* Fri Aug 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-1mdk
- Release M17

* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
